Commit 27f28073 authored by Jakub Jirutka's avatar Jakub Jirutka

main/lua{5.2,5.3,jit}: add provides=lua

parent 9094568d
......@@ -2,7 +2,7 @@
pkgname=lua5.2
pkgver=5.2.4
_luaver=${pkgname#lua}
pkgrel=5
pkgrel=6
pkgdesc="Powerful light-weight programming language"
url="https://www.lua.org/"
arch="all"
......@@ -10,6 +10,7 @@ license="MIT"
depends=
ldpath="/usr/lib/$pkgname"
makedepends="libtool autoconf automake"
provides="lua"
subpackages="$pkgname-dev $pkgname-doc $pkgname-libs"
source="https://www.lua.org/ftp/lua-$pkgver.tar.gz
lua-5.2-make.patch
......
......@@ -3,7 +3,7 @@ pkgname=lua5.3
_pkgname=lua
pkgver=5.3.4
_luaver=${pkgname#lua}
pkgrel=3
pkgrel=4
pkgdesc="Powerful light-weight programming language"
url="https://www.lua.org/"
arch="all"
......@@ -11,6 +11,7 @@ license="MIT"
ldpath="/usr/lib/$pkgname"
depends_dev="$pkgname"
makedepends="libtool autoconf automake linenoise-dev"
provides="lua"
subpackages="$pkgname-dev $pkgname-doc $pkgname-libs"
source="https://www.lua.org/ftp/$_pkgname-$pkgver.tar.gz
lua-5.3-make.patch
......
......@@ -4,12 +4,13 @@ pkgname=luajit
_pkgname=LuaJIT
pkgver=2.1.0_beta3
_pkgver=${pkgver/_/-}
pkgrel=3
pkgrel=4
pkgdesc='Just-in-time compiler and replacement for Lua 5.1'
url='http://luajit.org'
arch="all !s390x"
license="MIT"
makedepends="$depends_dev paxmark"
provides="lua"
subpackages="$pkgname-dev $pkgname-doc"
source="http://luajit.org/download/$_pkgname-$_pkgver.tar.gz
enable-support-for-ppc64le.patch
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment